Skip to main content
GET
/
agents
/
{agentId}
/
threads
/
{threadId}
/
events
/
stream
JavaScript
import Cerca from '@cerca-dev/sdk';

const client = new Cerca({
  apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});

const subscriptionEvent = await client.events.streamForThreadEvents(
  'agent_abc123',
  'thread_abc123',
);

console.log(subscriptionEvent.event);
{
  "event": {
    "agentId": "<string>",
    "fleetId": "<string>",
    "id": "<string>",
    "orgId": "<string>",
    "threadId": "<string>",
    "timestamp": "<string>",
    "data": {
      "agent": {
        "configuration": {
          "approvals": {
            "tools": {},
            "timeoutMs": 123
          },
          "defaultModel": "<string>",
          "instructions": "<string>",
          "tools": [
            "<string>"
          ]
        },
        "createdAt": "<string>",
        "fleetId": "<string>",
        "id": "<string>",
        "metadata": {
          "project": "alpha"
        },
        "orgId": "<string>",
        "updatedAt": "<string>",
        "userId": "<string>",
        "effective": {
          "approvals": {
            "tools": {},
            "timeoutMs": 123
          },
          "approvalsWritableByAgent": true,
          "defaultModel": "<string>",
          "lockedByFleet": [],
          "resolvedFromFleet": [],
          "tools": [],
          "instructions": "<string>"
        }
      }
    }
  },
  "seq": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Last-Event-ID
string

Resume an event-log stream after the last received SSE event id.

Example:

"4711"

Path Parameters

agentId
string
required
Minimum string length: 1
Example:

"agent_abc123"

threadId
string
required
Minimum string length: 1
Example:

"thread_abc123"

Query Parameters

cursor
string

Opaque pagination cursor returned by a previous request.

Example:

"cursor_abc123"

events
string

Comma-separated event type filter.

Example:

"thread.created,thread.completed"

history
enum<string>

When true, starts from the beginning of the retained buffer.

Available options:
true,
false
Example:

"true"

Response

Thread event stream

event
AgentCreatedWebhookEvent · object
required
seq
number
required